Status: New Start date:  
Category: Time tracking Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:    

Description

Currently only boolean and list custom fields are selectable as criteria in the time entries report.

It would be nice to have more custom fields types available here, for example the key/value-pair, user and fixed version types.

Related issues:

Related to Redmine - Feature #1692: Enable time-tracking additional fields in... New 2008-07-28

Related to Redmine - Feature #1766: Custom fields should become addable to Sp... Closed 2008-08-11

Related to Redmine - Feature #21061: Custom Field for Spent time Closed

Related to Redmine - Defect #19121: Mismath of feature and documentation in a... New

History

#1 - 2017-06-02 08:34 - Mischa The Evil

- Target version set to Unplanned backlogs

+1. It should be also noted that the current implementation only adds list custom fields as selectable criteria on timelog report which don't have the

'multiple values' option enabled (I wrote about this on #19121#note-1).

We also have some requests for date, int, text and long-text custom field types already (eg. #1692#note-3, #1766#note-30, #1766#note-32, #21061,

and to some extent [my exhaustively extensive, historical forum post] Custom Fields vs Spent Time Reports).

#2 - 2017-06-02 08:35 - Mischa The Evil

- Related to Feature #1692: Enable time-tracking additional fields in reports filters added

#3 - 2017-06-02 08:35 - Mischa The Evil

- Related to Feature #1766: Custom fields should become addable to Spent Time list/report added

#4 - 2017-06-02 08:35 - Mischa The Evil

- Related to Feature #21061: Custom Field for Spent time added

#5 - 2017-06-02 08:36 - Mischa The Evil

- Related to Defect #19121: Mismath of feature and documentation in activities (time tracking) custom field added
